org.wildfly.swarm.config

## Class BatchJBeret<T extends BatchJBeret<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.BatchJBeret<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map
  Direct Known Subclasses:
    BatchFraction

      public class BatchJBeret<T extends BatchJBeret<T>>
      extends HashMap

  Batch Subsystem (JSR-352)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BatchJBeret.BatchJBeretResources` Child mutators for BatchJBeret

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchJBeret()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `defaultJobRepository()` The name of the default job repository.
    `T` | `defaultJobRepository(String value)` The name of the default job repository.
    `String` | `defaultThreadPool()` The name of the default thread-pool.
    `T` | `defaultThreadPool(String value)` The name of the default thread-pool.
    `String` | `getKey()`
    `T` | `inMemoryJobRepositories(List<InMemoryJobRepository> value)` Add all InMemoryJobRepository objects to this subresource
    `T` | `inMemoryJobRepository(InMemoryJobRepository value)` Add the InMemoryJobRepository object to the list of subresources
    `T` | `inMemoryJobRepository(InMemoryJobRepositorySupplier supplier)` Install a supplied InMemoryJobRepository object to the list of subresources
    `T` | `inMemoryJobRepository(String childKey)` Create and configure a InMemoryJobRepository object to the list of subresources
    `T` | `inMemoryJobRepository(String childKey, InMemoryJobRepositoryConsumer consumer)` Create and configure a InMemoryJobRepository object to the list of subresources
    `T` | `jdbcJobRepositories(List<JDBCJobRepository> value)` Add all JDBCJobRepository objects to this subresource
    `T` | `jdbcJobRepository(JDBCJobRepository value)` Add the JDBCJobRepository object to the list of subresources
    `T` | `jdbcJobRepository(JDBCJobRepositorySupplier supplier)` Install a supplied JDBCJobRepository object to the list of subresources
    `T` | `jdbcJobRepository(String childKey)` Create and configure a JDBCJobRepository object to the list of subresources
    `T` | `jdbcJobRepository(String childKey, JDBCJobRepositoryConsumer consumer)` Create and configure a JDBCJobRepository object to the list of subresources
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `restartJobsOnResume()` If set to true when a resume operation has be invoked after a suspend operation any jobs stopped during the suspend will be restarted.
    `T` | `restartJobsOnResume(Boolean value)` If set to true when a resume operation has be invoked after a suspend operation any jobs stopped during the suspend will be restarted.
    `BatchJBeret.BatchJBeretResources` | `subresources()`
    `T` | `threadFactories(List<ThreadFactory> value)` Add all ThreadFactory objects to this subresource
    `T` | `threadFactory(String childKey)` Create and configure a ThreadFactory object to the list of subresources
    `T` | `threadFactory(String childKey, ThreadFactoryConsumer consumer)` Create and configure a ThreadFactory object to the list of subresources
    `T` | `threadFactory(ThreadFactory value)` Add the ThreadFactory object to the list of subresources
    `T` | `threadFactory(ThreadFactorySupplier supplier)` Install a supplied ThreadFactory object to the list of subresources
    `T` | `threadPool(String childKey)` Create and configure a ThreadPool object to the list of subresources
    `T` | `threadPool(String childKey, ThreadPoolConsumer consumer)` Create and configure a ThreadPool object to the list of subresources
    `T` | `threadPool(ThreadPool value)` Add the ThreadPool object to the list of subresources
    `T` | `threadPool(ThreadPoolSupplier supplier)` Install a supplied ThreadPool object to the list of subresources
    `T` | `threadPools(List<ThreadPool> value)` Add all ThreadPool objects to this subresource

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### BatchJBeret

          public BatchJBeret()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public BatchJBeret.BatchJBeretResources subresources()

    - #### jdbcJobRepositories

          public T jdbcJobRepositories(List<JDBCJobRepository> value)

      Add all JDBCJobRepository objects to this subresource
      Parameters:
        `value` - List of JDBCJobRepository objects.
      Returns:
        this

    - #### jdbcJobRepository

          public T jdbcJobRepository(JDBCJobRepository value)

      Add the JDBCJobRepository object to the list of subresources
      Parameters:
        `value` - The JDBCJobRepository to add
      Returns:
        this

    - #### jdbcJobRepository

          public T jdbcJobRepository(String childKey,
                                     JDBCJobRepositoryConsumer consumer)

      Create and configure a JDBCJobRepository object to the list of subresources
      Parameters:
        `key` - The key for the JDBCJobRepository resource
        `config` - The JDBCJobRepositoryConsumer to use
      Returns:
        this

    - #### jdbcJobRepository

          public T jdbcJobRepository(String childKey)

      Create and configure a JDBCJobRepository object to the list of subresources
      Parameters:
        `key` - The key for the JDBCJobRepository resource
      Returns:
        this

    - #### jdbcJobRepository

          public T jdbcJobRepository(JDBCJobRepositorySupplier supplier)

      Install a supplied JDBCJobRepository object to the list of subresources

    - #### threadFactories

          public T threadFactories(List<ThreadFactory> value)

      Add all ThreadFactory objects to this subresource
      Parameters:
        `value` - List of ThreadFactory objects.
      Returns:
        this

    - #### threadFactory

          public T threadFactory(ThreadFactory value)

      Add the ThreadFactory object to the list of subresources
      Parameters:
        `value` - The ThreadFactory to add
      Returns:
        this

    - #### threadFactory

          public T threadFactory(String childKey,
                                 ThreadFactoryConsumer consumer)

      Create and configure a ThreadFactory object to the list of subresources
      Parameters:
        `key` - The key for the ThreadFactory resource
        `config` - The ThreadFactoryConsumer to use
      Returns:
        this

    - #### threadFactory

          public T threadFactory(String childKey)

      Create and configure a ThreadFactory object to the list of subresources
      Parameters:
        `key` - The key for the ThreadFactory resource
      Returns:
        this

    - #### threadFactory

          public T threadFactory(ThreadFactorySupplier supplier)

      Install a supplied ThreadFactory object to the list of subresources

    - #### threadPools

          public T threadPools(List<ThreadPool> value)

      Add all ThreadPool objects to this subresource
      Parameters:
        `value` - List of ThreadPool objects.
      Returns:
        this

    - #### threadPool

          public T threadPool(ThreadPool value)

      Add the ThreadPool object to the list of subresources
      Parameters:
        `value` - The ThreadPool to add
      Returns:
        this

    - #### threadPool

          public T threadPool(String childKey,
                              ThreadPoolConsumer consumer)

      Create and configure a ThreadPool object to the list of subresources
      Parameters:
        `key` - The key for the ThreadPool resource
        `config` - The ThreadPoolConsumer to use
      Returns:
        this

    - #### threadPool

          public T threadPool(String childKey)

      Create and configure a ThreadPool object to the list of subresources
      Parameters:
        `key` - The key for the ThreadPool resource
      Returns:
        this

    - #### threadPool

          public T threadPool(ThreadPoolSupplier supplier)

      Install a supplied ThreadPool object to the list of subresources

    - #### inMemoryJobRepositories

          public T inMemoryJobRepositories(List<InMemoryJobRepository> value)

      Add all InMemoryJobRepository objects to this subresource
      Parameters:
        `value` - List of InMemoryJobRepository objects.
      Returns:
        this

    - #### inMemoryJobRepository

          public T inMemoryJobRepository(InMemoryJobRepository value)

      Add the InMemoryJobRepository object to the list of subresources
      Parameters:
        `value` - The InMemoryJobRepository to add
      Returns:
        this

    - #### inMemoryJobRepository

          public T inMemoryJobRepository(String childKey,
                                         InMemoryJobRepositoryConsumer consumer)

      Create and configure a InMemoryJobRepository object to the list of subresources
      Parameters:
        `key` - The key for the InMemoryJobRepository resource
        `config` - The InMemoryJobRepositoryConsumer to use
      Returns:
        this

    - #### inMemoryJobRepository

          public T inMemoryJobRepository(String childKey)

      Create and configure a InMemoryJobRepository object to the list of subresources
      Parameters:
        `key` - The key for the InMemoryJobRepository resource
      Returns:
        this

    - #### inMemoryJobRepository

          public T inMemoryJobRepository(InMemoryJobRepositorySupplier supplier)

      Install a supplied InMemoryJobRepository object to the list of subresources

    - #### restartJobsOnResume

          public Boolean restartJobsOnResume()

      If set to true when a resume operation has be invoked after a suspend operation any jobs stopped during the suspend will be restarted. A value of false will leave the jobs in a stopped state.

    - #### restartJobsOnResume

          public T restartJobsOnResume(Boolean value)

      If set to true when a resume operation has be invoked after a suspend operation any jobs stopped during the suspend will be restarted. A value of false will leave the jobs in a stopped state.

    - #### defaultJobRepository

          public String defaultJobRepository()

      The name of the default job repository.

    - #### defaultJobRepository

          public T defaultJobRepository(String value)

      The name of the default job repository.

    - #### defaultThreadPool

          public String defaultThreadPool()

      The name of the default thread-pool.

    - #### defaultThreadPool

          public T defaultThreadPool(String value)

      The name of the default thread-pool.

Copyright © 2018 JBoss by Red Hat. All rights reserved.